# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ephemeris/version'

Gem::Specification.new do |spec|
  spec.name          = "ephemeris"
  spec.version       = Ephemeris::VERSION
  spec.authors       = ["T. Orval Nielsen"]

  spec.summary       = %q{Ephemeris provides dignity and relationship calculations around the existing `swe4r` binding to the open source Swiss Ephemeris.}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.5"
  spec.add_development_dependency "pry", "~> 0.10.4"

  spec.add_runtime_dependency "swe4r", "~> 0.0.2"
end
